#!/usr/bin/env bash
###
 # @Author: your name
 # @Date: 2021-07-15 09:33:39
 # @LastEditTime: 2021-07-21 14:25:03
 # @LastEditors: Please set LastEditors
 # @Description: In User Settings Edit
 # @FilePath: \evm-store\backend\run.sh
### 

# 获取当前路径
Cur_Dir=$(pwd)

# 关闭evm_store
supervisorctl stop evm_store

# 切换到release分支
git checkout release

# 拉取最新代码
git pull

# 启动evm_store
supervisorctl start evm_store

# 启动一个定时任务
# cd $Cur_Dir
# source venv/bin/activate
# 0 */1 * * * "${Cur_Dir}/venv/bin/python deploy.py"

# ps -def | grep "run.sh"
# ps -aux | grep start.py

Cur_Dir=$(pwd)

source venv/bin/activate
nohup ${Cur_Dir}/venv/bin/python3 ${Cur_Dir}/start.py > running.log 2>&1 &
